//       
#include <pic.h> 

__CONFIG(0x03F73); //RC-osc.

int n=3000; //val delay
int k=1000; //min delay
int m=5000; //max delay
int d=500; //delay step
int i=0;

void main(void)
{
	T0IE=0;
	GIE=0;
	TRISC=1; //inputs	
	PORTC=0x06;
	TRISB=0; //outputs
	PORTB=0xF0;
	
	while(1)
	{	
		if ((RC1==0)&&(n<m)){ //slower
		n+=d; //delay >
		};
		if ((RC2==0)&&(n>k)){ //faster
		n-=d; //delay <
		};
		
		RB0 = RB5^RB7; //M-sequence algoritm
		PORTB = ((PORTB<<1) | (PORTB>>7));
		
		for(i=0; i<n; i++) 
		{
			i++;
			i--;
		}
	}		
}
